Subject: Re: Add python-apscheduler

From: paul <[email-masked]>
Date: Fri, 16 Feb 2024 20:19:19 +0100

Hi Oleg,

thank you for your comments.

On 2/10/24 10:50, Sharlatan Hellseher wrote:
> May you check if your patch would be easy to migrate to the new version please?

I tried with the following:

(define-public python-apscheduler
   (package
     (name "python-apscheduler")
     (version "4.0.0a4")
     (source
      (origin
        (method git-fetch)
        (uri (git-reference
              (url "https://github.com/agronholm/apscheduler")
              (commit version)))
        (file-name (git-file-name name version))
        (sha256
         (base32 "0rpa584wbnycf0s960kdjsr5glg7vy4p9wd7ya1dhxgy3bq4acab"))))
     (build-system pyproject-build-system)
     (propagated-inputs (list python-anyio
                              python-attrs
                              python-tenacity
                              python-tzlocal
                              python-typing-extensions))
     (native-inputs (list ;; python-mock
                          ;; python-twisted
                          ;; python-gevent
                          python-setuptools-scm
                          ;; python-sqlalchemy
                          python-setuptools
                          python-pyside-6
                          python-pytest
                          ;; python-pytest-asyncio
                          ;; python-pytest-cov
                          ))
     (home-page "https://github.com/agronholm/apscheduler")
     (synopsis "Task scheduling library for Python")
     (description "Advanced Python Scheduler (APScheduler) is a Python 
library
that lets you schedule your Python code to be executed later, either 
just once
or periodically.

You can add new jobs or remove old ones on the fly as you please. If you 
store
your jobs in a database, they will also survive scheduler restarts and 
maintain
their state.  When the scheduler is restarted, it will then run all the 
jobs it
should have run while it was offline.")
     (license license:expat)))

but it gave me the attached log. Then I looked at 
https://repology.org/project/python:apscheduler/versions and it got me 
wondering whether maybe the 4.0.0a4 release is too unstable to be 
packaged yet. I didn't spend a lot of time over this so if you think 
this is a blocking issue I can try further, otherwise I'd like to 
proceed with the patch as it is and I'll take care of removing the 
tornado dependency when we update to 4.0.*

What do you think?

Thank you for your time,

giacomo